﻿@font-face {
    font-family:Karla;
    src:url(../fonts/Karla.ttf);
}

@font-face {
    font-family: Karla-Italic;
    src: url(../fonts/Karla-Italic.ttf);
}

html, body, form {
   /* display: flex; FLOW */
    display: block;
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
}

body {
    font-family: Karla;
    font-size: 13px;
    background-color: #f4f4f2;
}

.page {
    display: flex;
    flex-flow: column;
    height: 100%;
}


.page-header {
    display: flex;
    flex: 0 1 auto;
    background-color: white;
    padding: 30px 60px;
}

    .page-header .content {
        display: flex;
        height: 100%;
        width: 100%;
        justify-content: space-between;
        align-items: center;
    }

    .page-header .logo .vline {
        border-left: 1.217px solid black;
        height: 24.35px;
    }


    .page-header .logo {
        display: flex;
        align-items: center;
        gap: 28px;
        flex: 1 0 0;
        align-self: stretch;
    }

    .page-header #lblDemoVersion {
        color: #CC0000;
        margin-left: 30px;
        font-weight: bold;
        font-size: 14px;
    }

    .page-header .navigation {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        gap: 40px;
        align-self: stretch;
    }


    .page-header .navigation {
        font-size: 15px;
    }

        .page-header .navigation #lblWelcome {
            color: #666;
        }

        .page-header .navigation #lblUserName {
            font-weight: 700;
            color: black;
        }

        .page-header .navigation a, .page-footer a {
            font: inherit;
            text-decoration: underline;
            color: #496D67;
        }

        .page-header .navigation select {
            font-family: Karla;
            font-weight: 400;
            font-size: 14px;
            color: #666;
            border: none;
        }




/*.page {
    background-color: #f4f4f2;*/
    /* display: flex; FLOW */
    /*display: block;
    width: 100%;*/
    /* height: 100vh; FLOW */
    /*min-height: 100vh;*/ /* FLOW */ 
/*}

.page-header {
    background-color: white;
    display: flex;  
    height: 80px;
    justify-content: space-between;    
    flex-direction:row;
}


    .page-header .content {       
        display: flex; 
        height: 100%;
        width: 100%;
        padding: 0px 60px;
        justify-content: space-between;
        align-items: center;
    }

    .page-header .logo .vline {
        border-left: 1.217px solid black;
        height: 24.35px;
    }

.page-header .logo {
    display: flex;
    align-items: center;
    gap: 28px;
    flex: 1 0 0;
    align-self: stretch;
}

.page-header .navigation {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 40px;
    align-self: stretch;
}

    .page-header .navigation select {
        font-family: Karla;
        font-weight: 400;
        font-size: 14px;
        color: #666;
        border: none;
    }

.page-body {*/
   /* display: flex; FLOW */
    /*display: block;
    width: 100%;
    height: calc(100vh - 80px);*/
    /* border:1px solid red;*/
/*}*/

.btn {
    padding: 8px 16px;
    border: 1px solid #496D67;
    border-radius: 24px;
    background-color: #496D67;
    color: white;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 700;
    cursor: pointer;
}

    .btn.ico {
        display:inline-flex;
        gap:6px;
        flex-wrap:nowrap;
    
    }

    .btn.ico span {
        white-space:nowrap;
    }

    .btn.ico svg {
        width:16px;
        height:16px;      
    }

    .btn:hover, .btn.inverse:hover {
        background-color: #C0DDCB;
        color: #496D67;
        border: 1px solid #C0DDCB;
        transition: 0.4s;
    }


    .btn.inverse {
        background-color: transparent;
       /* border-radius: 24px;*/
        border: 1px solid #496D67;
       /* padding: 12px 20px;
        font-family: inherit;
        font-size: 18px;
        font-weight: 700;
        text-transform: uppercase;*/
        color: #496D67;
        cursor: pointer;
        transition: 0.4s;
    }

   /* .btn.inverse:hover {
        background-color: #496D67;
        color: white;
        transition: 0.4s;
    }*/

   


/*


.login-page {
    display:flex;    
    height:100%;
}



.login-page .L {
    display: flex;
    width: 50%;
    flex-direction: column;
    justify-content: center;
    align-items: center;  
}

.login-page .R {
    display: flex;
    width:50%;  
   
    justify-content: center;
    align-items: center;    
    flex: 1 0 0;
    align-self: stretch;
 
}

@media (orientation: landscape) {

    .login-page .R {       
        background-color: red;
    }
    
}

@media (orientation: portrait) {

    .login-page .R {
        background-color: blue;
    }
   
}

*/





/* BS controls*/

.BS_Textbox {
    border:1px solid #7C7C7C;
    font:12px Tahoma;
    color:#404040;    
    padding:2px;
}

.BS_FileUpload {
    border:1px solid #7C7C7C;
    font:12px Tahoma;
    color:#404040;    
    padding:2px;
    background-color:White;
}

.BS_Button {
    border:1px solid #7C7C7C;
    background-color:#0058B2;
    font:11px Tahoma;
    color:White;    
    padding:4px 10px 4px 10px;
    cursor:pointer;
}

a.BS_Button {
    text-decoration:none;
}

.BS_Link {
    font:12px Tahoma;
    color:#404040;    
    text-decoration:underline;    
}

.BS_Combobox {
    border:1px solid #7C7C7C;
    font:12px Tahoma;
    color:#404040;    
    padding:1px;
}

input[type="text"]:disabled, select:disabled {
    background: #F5F5F5; /*#EBEBE4*/
}

.Calendar_Icon
{
    cursor:pointer;    
    vertical-align:-3px;
}

/* BS Grid*/

/*.BS_Grid, .BS_Grid td, .BS_Grid th, .BS_Grid tr.pager td td
{
    border:0;
}

.BS_Grid td, .BS_Grid th
{
    white-space:nowrap;    
}

.BS_Grid a, .BS_Grid a:hover, .BS_Grid a:visited
{
    color:inherit;
    font:inherit;    
}

.BS_Grid tr.header a, .BS_Grid tr.header a:hover, .BS_Grid tr.header a:visited
{
    color:inherit;
    text-decoration:none;    
}

.BS_Grid tr.pager a, .BS_Grid tr.pager a:visited
{
    color:inherit;
    text-decoration:none;
    border:1px solid black; 
    padding:2px 6px;  
    display:block; 
}

.BS_Grid tr.pager a:hover
{
    background-color:#D0D0D0; 
}

.BS_Grid tr.header
{
    background-color:transparent;
    font-weight:bold;
}*/

/* default padding */
/*.BS_Grid tr.header th
{
    padding:3px 30px 3px 3px;
    border-bottom:1px solid black;
}

.BS_Grid tr.data td
{
    padding:3px 30px 3px 3px;    
}


.BS_Grid tr.normal, .BS_Grid tr.normal_no_select
{
    background-color:transparent;   
}


.BS_Grid tr.alternate, .BS_Grid tr.alternate_no_select
{
   background-color:#F2F2F2;
}

.BS_Grid tr.selected
{
   cursor:default; 
   background-color:#D0D0D0;      
}

.BS_Grid tr.normal:hover, .BS_Grid tr.alternate:hover
{
    background-color:#D0D0D0;
    cursor:pointer;
    
}


.BS_Grid tr.pager td
{    
    border-top:1px solid black;
    border-bottom:1px solid black;
}

.BS_Grid tr.header th.icoCol, .BS_Grid tr.data td.icoCol
{        
    padding:2px 0px 2px 2px !important; 
       
}

.BS_Grid tr.data td.WrapCol
{        
    white-space:normal !important;    
       
}*/

/* Tabcontainer */
    
/*.ajax__tab_BS .ajax__tab_outer
{    
    padding:5px 10px;
    background-color:#0058B2;
    color:White;
    font-weight:bold;  
    margin-right:2px;       
}
    
    
      
.ajax__tab_BS .ajax__tab_header .ajax__tab_active .ajax__tab_outer
{            
    border:1px solid #808080;
    border-bottom:0px;       
    padding:8px 10px;
    background-color:#FFFFFF; 
    color:Black;
    font-weight:normal; 
    margin-bottom:-1px;
}
    
.ajax__tab_img_label
{
    vertical-align:middle;
    margin-left:5px;    
}
    
.ajax__tab_img_black, .ajax__tab_img_white
{
    height:14px; 
    vertical-align:middle;
    border:0px;   
}
    
.ajax__tab_header .ajax__tab_img_black
{
    display:none;        
}
    
.ajax__tab_header .ajax__tab_img_white
{
    display:inline-block;
}
    
.ajax__tab_header .ajax__tab_active .ajax__tab_img_black
{
    display:inline-block;
}
    
.ajax__tab_header .ajax__tab_active .ajax__tab_img_white
{
    display:none;
}
    
.ajax__tab_BS .ajax__tab_body
{
border:1px solid #808080;    
padding:10px; 
background-color:#FFFFFF;   
}*/


/*---------------*/
/* Modal Dialogs */
/*---------------*/

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal .modal-content 
{
    display: none;
    font-family:Tahoma;
    font-size:12px;
    border-collapse:collapse;
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 350px; /*80%*/
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    /*-webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s*/
}

/* Add Animation */
/*@-webkit-keyframes animatetop {
    from {top:-300px; opacity:0} 
    to {top:0; opacity:1}
}

@keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}*/

/* The Close Button */
.modal .close {
    color: white;
    float: right;
    font-size: 20px;
    font-weight: bold;
    padding:5px;
}

.modal .close:hover,
.modal .close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal .modal-header {
    padding: 2px 16px;
    background-color: #1F528B; /* #5cb85c*/
    color: white;
}

.modal .modal-header .title
{
    /*font-weight:bolder;*/
    padding:5px;
    width:100%;    
}

.modal .modal-body
{
    background-color: #fefefe;    
}

.modal .modal-body .body 
{
    white-space:nowrap;
    padding: 10px 12px 10px 12px;
    
}

.modal .modal-footer {
    padding: 2px 16px;
    background-color: #1F528B; /*#5cb85c*/ 
    color: white;
}

.modal .modal-footer .buttons
{
    padding:5px;
    white-space:nowrap;
    text-align:right;    
    
}



/* stijlen voor tooltips */

.tooltip {  
  display: inline-block;  
  cursor:pointer;
  /*vertical-align:middle;*/
   
}

    .tooltip img, .tooltip svg {
        vertical-align: middle;
    }


.tooltip .tooltiptextholder {  
  position:relative;
  display: none;       
}



    .tooltip .tooltiptextholder .tooltiptext {
        /* Position the tooltip */
        position: absolute;
        left: 5px;
        bottom: 23px;
        visibility: hidden;
        white-space: nowrap;
       /* background-color: #1F528B;*/
        background-color: #496D67;
        color: #fff;
        text-align: left;
        border-radius: 6px;
        padding: 5px 15px;
        vertical-align: bottom;
    }

.tooltip:hover .tooltiptextholder {
  display:inline-block;
}

.tooltip:hover .tooltiptextholder .tooltiptext {
  visibility: visible;
  z-index: 1;
}

/* om default style van chrome op te heffen (zwart kader rond selectie) */
input:focus, textarea:focus, select:focus{
        outline: none;
    }


.GKTreeView table
{
    border:1px solid lime;    
    
   
}

/*.GKTreeView td
{
    border:1px solid red;    
    
   
}

    
.GKTreeView tr
{
    border:1px solid black;    
    background-color:Blue;
    color:White;
   
}

.GKTreeView tr a, .GKTreeView tr a:hover, .GKTreeView tr a:visited
{
    color:inherit;
    font:inherit;    
}*/

